//+------------------------------------------------------------------+
//|                                                      RatTest.mq5 |
//|                                 (c) 2011.04.03, Vladimir Gomonov |
//|                                            MetaDriver@rambler.ru |
//+------------------------------------------------------------------+
#property copyright "(c) 2011.04.03, Vladimir Gomonov"
#property link      "MetaDriver@rambler.ru"
#property version   "1.00"
#property script_show_inputs

#include <Math\Rational.mqh>
//--- input parameters
input int      Count=1000000;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
   Rational R = {325,650};
   Rational D = {7,15};
   Print("R = ",R.ToString()); 
   R.Norm();
   Print("R.Norm() = ",R.ToString()); 
   R.Div(13);
   Print("R/13 = ",R.ToString()); 
   R.Div(D);
   Print("R/D = ",R.ToString()); 
   R.Add(D);
   Print("R+D = ",R.ToString()); 
   R.Mul(D);
   Print("R*D = ",R.ToString()); 
   R.nSub(D);
   Print("R-D = ",R.ToString()); 
   
  }
//+------------------------------------------------------------------+
